# SRC/zmyblas2.c File Reference

Level 2 Blas operations. More...

`#include "slu_dcomplex.h"`

## Functions
void | zlsolve (int ldm, int ncol, doublecomplex *M, doublecomplex *rhs)
| Solves a dense UNIT lower triangular system.
void | zusolve (int ldm, int ncol, doublecomplex *M, doublecomplex *rhs)
| Solves a dense upper triangular system.
void | zmatvec (int ldm, int nrow, int ncol, doublecomplex *M, doublecomplex *vec, doublecomplex *Mxvec)
| Performs a dense matrix-vector multiply: Mxvec = Mxvec + M * vec.

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997

Purpose: Level 2 BLAS operations: solves and matvec, written in C. Note: This is only used when the system lacks an efficient BLAS library.

## Function Documentation

void zlsolve | ( | int | ldm,
|  | int | ncol,
|  | doublecomplex * | M,
|  | doublecomplex * | rhs |
| ) |  |  |

The unit lower triangular matrix is stored in a 2D array M(1:nrow,1:ncol). The solution will be returned in the rhs vector.

void zmatvec | ( | int | ldm,
|  | int | nrow,
|  | int | ncol,
|  | doublecomplex * | M,
|  | doublecomplex * | vec,
|  | doublecomplex * | Mxvec |
| ) |  |  |

The input matrix is M(1:nrow,1:ncol); The product is returned in Mxvec[].

void zusolve | ( | int | ldm,
|  | int | ncol,
|  | doublecomplex * | M,
|  | doublecomplex * | rhs |
| ) |  |  |

The upper triangular matrix is stored in a 2-dim array M(1:ldm,1:ncol). The solution will be returned in the rhs vector.